<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<style>
   body {
  background: url('https://img.freepik.com/premium-photo/asphalt-road-background-pictures_1359-2894.jpg?w=2000') no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  background-size: cover;
  -o-background-size: cover;
}
</style>
<body>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <h1>Login</h1>
</div>
<div class="container-fluid d-flex justify-content-center align-items-center ">
    <div class="row bg-light shadow-sm border border-dark rounded p-3">
        <form class="col-12" th:method="POST" th:action="@{/login}">
            <div class="form-group">
                <label for="email">Email address</label>
                <input type="email" th:name="email" class="form-control" id="email"
                       aria-describedby="emailHelp" placeholder="Enter email">
                <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone
                    else.</small>
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input type="password" th:name="password" class="form-control" id="password"
                       placeholder="Enter password">
            </div>
            <div th:if="${error} == 'true'">
                <div class="container-fluid d-flex justify-content-center align-items-center text-danger">
                    <h4>Invalid Email or Password</h4>
                </div>
            </div>
            <div class="container-fluid align-items-center">
                <button type="submit" class="btn btn-primary">Login</button>
                <button type="button" class="btn btn-primary"><a class="text-white" th:href="@{/pass}">I don't remember password</a></button>
            </div>
        </form>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
</html>